Subject: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 13 Nov 2018 22:10:47 +0000

At the LSR WG meeting in Bangkok, there was general agreement that we should adopt this draft given that the PCE WG believes it is useful. Please indicate your support or objection prior to 12:00 AM UT, Wednesday November 26th, 2018. Note the authors may refresh the draft to address some comments prior to that time.

Thanks,
Acee

---

From: Qin Wu <[email-masked]>
Date: Wed, 14 Nov 2018 00:53:11 +0000

I support this work as one of coauthors.

-Qin
发件人: Lsr [mailto:[email-masked]] 代表 Acee Lindem (acee)
发送时间: 2018年11月14日 6:11
收件人: [email-masked]
主题: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Thanks,
Acee

---

From: Jeff Tantsura <[email-masked]>
Date: Tue, 13 Nov 2018 21:15:40 -0800

Yes/support
On Tue, Nov 13, 2018 at 16:53 Qin Wu <[email-masked]> wrote:

> *发件人:* Lsr [mailto:[email-masked]] *代表 *Acee Lindem (acee)
> *发送时间:* 2018年11月14日 6:11
> *收件人:* [email-masked]
> *主题:* [Lsr] WG Adoption Poll for IGP extension for PCEP security
> capability support in the PCE discovery -
> draft-wu-lsr-pce-discovery-security-support-00
>
>
>
> At the LSR WG meeting in Bangkok, there was general agreement that we
> should adopt this draft given that the PCE WG believes it is useful. Please
> indicate your support or objection prior to 12:00 AM UT, Wednesday November
> 26th, 2018. Note the authors may refresh the draft to address some
> comments prior to that time.
>
>
>
>
>
> Thanks,
>
> Acee
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
>

---

From: Mahendra Singh Negi <[email-masked]>
Date: Wed, 14 Nov 2018 05:49:16 +0000

Yes/Support

Regards,
Mahendra

From: Lsr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: 14 November 2018 03:41
To: [email-masked]
Subject: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Thanks,
Acee

---

From: Dhruv Dhody <[email-masked]>
Date: Wed, 14 Nov 2018 11:46:11 +0530

Support WG Adoption.

Thanks!
Dhruv (co-author)

---

From: "Aijun Wang" <[email-masked]>
Date: Wed, 14 Nov 2018 14:25:43 +0800

Yes/Support.

Best Regards.

Aijun Wang

Network R&D and Operation Support Department

China Telecom Corporation Limited Beijing Research Institute,Beijing, China.

发件人: Acee Lindem (acee) [mailto:[email-masked]] 
发送时间: 2018年11月14日 6:11
收件人: [email-masked]
主题: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

 

Thanks,

Acee

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 14 Nov 2018 09:49:08 +0000

Support.

    Les

From: Lsr <[email-masked]> On Behalf Of Acee Lindem (acee)
Sent: Tuesday, November 13, 2018 2:11 PM
To: [email-masked]
Subject: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Thanks,
Acee

---

From: <[email-masked]>
Date: Thu, 15 Nov 2018 14:16:07 +0100

Hi all,

PCE chair hat on, I need to rectify the statement below: at this stage,
PCE, as a WG, has not reach any consensus on this I-D, which has only
been discussed within the LSR WG. There may be individuals involved in
both WGs, but that is not a PCE WG consensus.

However, I suggest that the PCE WG's members (BCC'd) share their view on
this poll using the LSR mailig list.

Thanks,

Julien

On 13/11/2018 23:10, Acee Lindem (acee) wrote:
> should adopt this draft given that the PCE WG believes it is useful.
> Please indicate your support or objection prior to 12:00 AM UT,
> Wednesday November 26^th , 2018. Note the authors may refresh the
> draft to address some comments prior to that time.
>
>  
>
>  
>
> Thanks,
>
> Acee
>
>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Thu, 15 Nov 2018 16:00:59 +0100

Hi,

Contributor hat on, I take the opportunity mentioned by Acee to
highlight some of the issues in the current version:
- The I-D teaches multiple time about RFC 5088 and 5089 (while 8253 is
only mentioned in the introduction): the discussed mechanism has been
used multiple times, there is no need to elaborate so much (see section
3.1.1 of RFC 8306 for example);
- Section 3 includes the PCE-CAP-FLAGS sub-TLV definition: having a
given specification in multiples places brings no value but may create
discrepancies, please stick to the references to the aforementioned RFCs;
- Section 3 tries to list the existing flag allocations: these are
inaccurate (e.g. RFC 6006 has been obsoleted by RFC 8306), incomplete
(e.g. RFC 8231 is missing) and inappropriate (this is the role of the
IANA registry, not of every new I-D!);
- Contrary to the written text, the I-D does not "extend" anything, it
requests bit allocation from an existing registry; the IANA section (7)
is thus key: please make it point to the relevant registry, namely "PCE
Capability Flags" managed within the "OSPFv2 Parameters"
(https://www.iana.org/assignments/ospfv2-parameters/ospfv2-parameters.xml#ospfv2-parameters-14).

Thanks,

Julien

On 13/11/2018 23:10, Acee Lindem (acee) wrote:
> Note the authors may refresh the draft to address some comments prior
> to that time.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 15 Nov 2018 15:17:53 +0000

Authors, 
Please note that you need not wait until the end of the adoption poll to address my comment and Julien's comments. 
Thanks,
Acee 

On 11/15/18, 10:02 AM, "Lsr on behalf of [email-masked]" <[email-masked] on behalf of [email-masked]> wrote:

    Hi,

    Thanks,
    
    Julien

---

From: Qin Wu <[email-masked]>
Date: Fri, 16 Nov 2018 03:54:03 +0000

-----邮件原件-----
发件人: Lsr [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2018年11月15日 23:01
收件人: [email-masked]
主题: Re: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Hi,

Contributor hat on, I take the opportunity mentioned by Acee to highlight some of the issues in the current version:
- The I-D teaches multiple time about RFC 5088 and 5089 (while 8253 is only mentioned in the introduction): the discussed mechanism has been used multiple times, there is no need to elaborate so much (see section
3.1.1 of RFC 8306 for example);
[Qin]:Good point and will following RFC8306 example to make it concise.

- Section 3 includes the PCE-CAP-FLAGS sub-TLV definition: having a given specification in multiples places brings no value but may create discrepancies, please stick to the references to the aforementioned RFCs;
[Qin]: Okay.
- Section 3 tries to list the existing flag allocations: these are inaccurate (e.g. RFC 6006 has been obsoleted by RFC 8306), incomplete (e.g. RFC 8231 is missing) and inappropriate (this is the role of the IANA registry, not of every new I-D!);
[Qin]:Okay, I propose to remove these.
- Contrary to the written text, the I-D does not "extend" anything, it requests bit allocation from an existing registry; the IANA section (7) is thus key: please make it point to the relevant registry, namely "PCE Capability Flags" managed within the "OSPFv2 Parameters"
(https://www.iana.org/assignments/ospfv2-parameters/ospfv2-parameters.xml#ospfv2-parameters-14).
[Qin]: Okay, fixed in the local copy.
Thanks,

Julien

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Qin Wu <[email-masked]>
Date: Fri, 16 Nov 2018 05:01:15 +0000

Working on this. Try to figure out how to carry key name in PCED sub-TLV. It looks RFC5088 and RFC5089 doesn't allow add additional sub-TLVs.
"
RFC5088
No additional sub-TLVs will be added to the PCED TLV in the future.
   If a future application requires the advertisement of additional PCE
   information in OSPF, this will not be carried in the Router
   Information LSA.

RFC5089
No additional sub-TLVs will be added to the PCED TLV in the future.
   If a future application requires the advertisement of additional PCE
   information in IS-IS, this will not be carried in the CAPABILITY TLV.
"
The reason behind was clarified here:
https://mailarchive.ietf.org/arch/msg/pce/cR7e1SZ_DyUyY14OkfWbCc94paU
I am wondering whether there is any other key information exchange that might be happening during discovery mechanism.
Depending on the answer, we have three options:
1) Update RFC5088 and RFC 5089 to allow additional sub-TLVs to be added to the PCEP TLV.
2) carry key name using GENINFO TLV of RFC 6823
3) Carry key name during PCEP session establishment phase instead of discovery phase.

-Qin
-----邮件原件-----
发件人: Lsr [mailto:[email-masked]] 代表 Acee Lindem (acee)
发送时间: 2018年11月15日 23:18
收件人: [email-masked]; [email-masked]
抄送: [email-masked]
主题: Re: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Authors, 

    Hi,

    Thanks,
    
    Julien

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 16 Nov 2018 13:17:32 +0000

Hi Qin, 

This was at a time when there were concerns about advertising non-IGP specific information in OSPF(v3) Router Information LSAs. We've since assuaged our concerns with RFC 7770 where I added the functionality  of advertising multiple instances of the OSPF(v3) Router Information LSA. Note that this new draft should update both RFC 5088 and RFC 5089. 

Thanks,
Acee 

On 11/16/18, 12:01 AM, "Qin Wu" <[email-masked]> wrote:

    RFC5089
    
    -Qin
    -----邮件原件-----
    发件人: Lsr [mailto:[email-masked]] 代表 Acee Lindem (acee)
    发送时间: 2018年11月15日 23:18
    收件人: [email-masked]; [email-masked]
    抄送: [email-masked]
    主题: Re: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00
    
    Authors, 

        Hi,

        Thanks,
        
        Julien

---

From: Qin Wu <[email-masked]>
Date: Tue, 20 Nov 2018 01:52:06 +0000

I am happy to update RFC5088 and RFC5089 to allow advertisement of additional PCE information carried in the Router Capability TLV if this is the agreement.

-Qin
-----邮件原件-----
发件人: Acee Lindem (acee) [mailto:[email-masked]] 
发送时间: 2018年11月16日 21:18
收件人: Qin Wu; [email-masked]; [email-masked]
抄送: [email-masked]
主题: Re: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00

Hi Qin, 

Thanks,
Acee 

    
    RFC5089
    
    -Qin
    -----邮件原件-----
    发件人: Lsr [mailto:[email-masked]] 代表 Acee Lindem (acee)
    发送时间: 2018年11月15日 23:18
    收件人: [email-masked]; [email-masked]
    抄送: [email-masked]
    主题: Re: [Lsr] WG Adoption Poll for IGP extension for PCEP security capability support in the PCE discovery - draft-wu-lsr-pce-discovery-security-support-00
    
    Authors, 

        Hi,

        Thanks,
        
        Julien